Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233425 - Review Request: mecab-java - Java binding for MeCab
Summary: Review Request: mecab-java - Java binding for MeCab
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 13:04 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 04:23:26 UTC
lxtnow: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
mock: build log on x86_64 (deleted)
2007-06-16 03:05 UTC, Xavier Lamien
no flags Details
mecab-java: test.java file containing encoding expression (deleted)
2007-06-16 15:20 UTC, Xavier Lamien
no flags Details
test.java.orig (deleted)
2007-06-16 15:21 UTC, Xavier Lamien
no flags Details

Description Mamoru TASAKA 2007-03-22 13:04:35 UTC
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-java.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-java-0.95-1.fc7.src.rpm	
Mock build log on FC-devel i386: ttp://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-mecab-java.log
Description: 
Java binding for MeCab.

Comment 2 Xavier Lamien 2007-06-15 23:56:38 UTC
Starting review...

Comment 3 Xavier Lamien 2007-06-16 03:05:18 UTC
Created attachment 157174 [details]
mock: build log on x86_64

Failed to build on test.java from x86_64 arch.

Comment 4 Mamoru TASAKA 2007-06-16 04:37:14 UTC
Would you attach the test.java and test.java.orig on mockbuild x86_64?

Comment 5 Xavier Lamien 2007-06-16 15:20:45 UTC
Created attachment 157191 [details]
mecab-java: test.java file containing encoding expression

It seem that some BR could be missing cause i haven't the necessary font to
print some character and its failed to recognize them.


test.java:24: error: Unrecognized character for encoding 'ANSI_X3.4-1968'.
     System.out.println (tagger.parse
("太郎は二郎にこの本を渡した."));

Comment 6 Xavier Lamien 2007-06-16 15:21:11 UTC
Created attachment 157192 [details]
test.java.orig

Comment 7 Mamoru TASAKA 2007-06-16 15:50:34 UTC
Well, while I doubt this is related to font issue because
mockbuild sets the LANG value to C and even if I set LANG and LC_ALL
to C the compilation of test.java succeeds for me, currently I
don't know the correct solution. As this is a test java script 
for now I nuked the test.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SPECS/mecab-java.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SRPMS/mecab-java-0.96-1.fc8.src.rpm

---------------------------------------------------
* Sun Jun 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-2
- Nuke test for now

Comment 9 Xavier Lamien 2007-06-16 16:31:09 UTC
It got me some strange character now but the build pass fine.
I'll work around to find how it could be fix.

For now, mock working...

Comment 10 Xavier Lamien 2007-06-18 18:25:53 UTC
 [ OK ] Tested Arch with Mock: x86_64 (F-7 and FC-6)
 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name match the base package %{name}
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully compiles and builds into binary rpms on at least one
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [ OK ] License field in the package spec file matches the actual license.
     License type: GPL, LGPL, BSD,
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires, and aren't redundant.
 [ OK ] The spec file handles locales properly.
 [ ? ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ Ok ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ OK ] Package uses nothing in %doc for runtime.
 [ ?/NONE ] Development .so files in -devel subpackage, if present.
 [ Ok ] Package does not contain any libtool archives (.la).
 [ NONE ] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [ OK ] Package does not own files or directories owned by other packages.


== Rpmlint output: ==
    
 [ OK ] From SRPM package: silent
 [ ? ]  From rpm package:

W: mecab-java no-soname /usr/lib64/libMeCab.so



Comment 11 Mamoru TASAKA 2007-06-20 06:42:05 UTC
So, would you clarify what is blocking this review request?

Comment 12 Xavier Lamien 2007-06-20 21:33:51 UTC
the library file "libMeCab.so has no soname but correctly works and doesn't
affect any main or other package fonction (just my guess), and i was just
waitting a comment from you 'bout that (i.e why you don't try to fix this minor
warning) even so.


Comment 13 Mamoru TASAKA 2007-06-21 11:22:33 UTC
libMeCab.so is to be dlopen'ed and need not to have sover.

Comment 14 Xavier Lamien 2007-06-21 13:11:21 UTC
==============
** APPROVED **
==============



Comment 15 Mamoru TASAKA 2007-06-21 13:50:29 UTC
Thank you!

Request for CVS admin:
--------------------------------------------------
New Package CVS Request
=======================
Package Name:         mecab-java
Short Description:    Java binding for MeCab
Owners:               mtasaka@ioa.s.u-tokyo.ac.jp
Branches:             F-7 FC-6
InitialCC:            (nobody)
--------------------------------------------------
--------------------------------------------------

Comment 16 Kevin Fenzi 2007-06-22 02:15:23 UTC
cvs done

Comment 17 Mamoru TASAKA 2007-06-22 04:23:26 UTC
Rebuild done. Thank you for the review.


Note You need to log in before you can comment on or make changes to this bug.